mobilebackup_client_free
mobilebackup_client_new
mobilebackup_client_start_service
mobilebackup_client_t
mobilebackup_error_t
mobilebackup_flags_t
mobilebackup_receive
mobilebackup_receive_restore_application_received
mobilebackup_receive_restore_file_received
mobilebackup_request_backup
mobilebackup_request_restore
mobilebackup_send
mobilebackup_send_backup_file_received
mobilebackup_send_error
mobilebackup_send_restore_complete
MOBILEBACKUP_SERVICE_NAME

## mobilebackup_client_start_service()

LIBIMOBILEDEVICE_API mobilebackup_error_t mobilebackup_client_start_service | ( | idevice_t | device,
|  | mobilebackup_client_t * | client,
|  | const char * | label )

Starts a new mobilebackup service on the specified device and connects to it.

Parameters

  device | The device to connect to.
  client | Pointer that will point to a newly allocated mobilebackup_client_t upon successful return. Must be freed using mobilebackup_client_free() after use.
  label | The label to use for communication. Usually the program name. Pass NULL to disable sending the label in requests to lockdownd.

Returns
  MOBILEBACKUP_E_SUCCESS on success, or an MOBILEBACKUP_E_* error code otherwise.